// This script only needed to be run once, to enable CORS on the DLx CDN

require('../../credentials/dlx-js');

const storage = require('azure-storage').createBlobService();

const props = {
  Cors: {
    CorsRule: [{
      AllowedOrigins: ['*'],
      AllowedMethods: ['GET'],
    }],
  },
};

// storage.setServiceProperties(props, (err, res) => {
//   console.log(err || res);
// });

storage.getServiceProperties((err, res) => {
  console.log(res.Cors.CorsRule);
});
