require('../../credentials/dlx-js');

const contentSetings = {
  contentEncoding: 'utf8',
  contentType:     'applicaton/javascript',
};

const storage = require('azure-storage').createBlobService();

storage.createBlockBlobFromLocalFile('scripts', 'dlx.js', 'dlx.js', { contentSetings }, err => {
  if (err) console.error(err);
  else console.log('"dlx.js" uploaded to CDN');
});
