/* global dlx */

/* eslint-disable
  func-names,
  init-declarations,
  max-nested-callbacks,
  max-statements,
  no-magic-numbers,
  no-shadow,
  object-curly-newline,
  object-property-newline,
  prefer-arrow-callback
*/

describe('dlx.models.Access', function() {

  const { Address } = dlx.models;
  const data = {};
  let address;

  it('Errors', function() {
    expect(() => new Address(true)).toThrow();
    expect(() => new Address({})).not.toThrow();
    expect(() => new Address).not.toThrow();
  });

  it('new Address()', function() {
    expect(() => { address = new Address(data); }).not.toThrow();
  });

  it('{property}', function() {
    Object.values(address).forEach(val => {
      if (val) expect(typeof val === 'string').toBe(true);
    });
    expect(() => new Address({ home: true })).toThrow();
    expect(() => { address.home = true; }).toThrow();
  });

});
