/* global dlx, Ajv, schemas */

/* eslint-disable
  func-names,
  max-nested-callbacks,
  max-statements,
  no-magic-numbers,
  no-shadow,
  object-curly-newline,
  object-property-newline,
  prefer-arrow-callback
*/

const ajv = new Ajv();

describe('dlx.models', function() {

  Object.keys(dlx.models).forEach(key => {

    if (key in schemas) {

      const json  = JSON.stringify(new dlx.models[key]());
      const valid = ajv.validateSchema(schemas[key], json);

      it(`${key} creates valid data`, function() {
        expect(valid).toBe(true);
      });

    }

  });

});
